com.icesoft.faces.component.selectinputtext

## Class SelectInputText

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - javax.faces.component.html.HtmlInputText
          - - com.icesoft.faces.component.ext.HtmlInputText
            - - com.icesoft.faces.component.selectinputtext.SelectInputText

- All Implemented Interfaces:
    com.icesoft.faces.component.IceExtended, java.util.EventListener, javax.faces.component.ActionSource, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.icefaces.impl.component.SeriesStateHolder

      public class SelectInputText
      extends HtmlInputText
      implements javax.faces.component.NamingContainer, org.icefaces.impl.component.SeriesStateHolder

  SelectInputText is a JSF component class that represents an ICEfaces autocomplete input text. This component requires the application developer to implement the matching list rearch algorithm in their backing bean.

  SelectInputText extends the ICEfaces extended HtmlInputText component.

  By default this component is rendered by the "com.icesoft.faces.SelectInputText" renderer type.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.faces.component.html.HtmlInputText

      `javax.faces.component.html.HtmlInputText.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class com.icesoft.faces.component.ext.HtmlInputText

      `focus, partialSubmit`

    - ### Fields inherited from class javax.faces.component.UIInput

      `COMPONENT_FAMILY, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

    - ### Fields inherited from interface com.icesoft.faces.component.IceExtended

      `ENABLED_ON_USER_ROLE_ATTR, RENDERED_ON_USER_ROLE_ATTR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectInputText()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `void` | `decode(javax.faces.context.FacesContext facesContext)`
    `void` | `encodeBegin(javax.faces.context.FacesContext context)`
    `java.lang.String` | `getClientId(javax.faces.context.FacesContext context)` Return the value of the `clientId` property.
    `java.lang.String` | `getInputTextClass()` Return the value of the `inputTextClass` property.
    `java.util.Iterator` | `getItemList()` Return the value of the `itemList` property.
    `java.lang.String` | `getListClass()` Return the value of the `listClass` property.
    `java.util.List` | `getListValue()` Return the value of the `listValue` property.
    `java.lang.String` | `getListVar()` Return the value of the `listVar` property.
    `java.lang.String` | `getOnkeypress()`
    `java.lang.String` | `getOptions()`
    `java.lang.String` | `getRowClass()` Return the value of the `rowClass` property.
    `int` | `getRows()` Return the value of the `rows` property.
    `javax.faces.model.SelectItem` | `getSelectedItem()` Return the value of the `selectedItem` property.
    `java.lang.String` | `getSelectedRowClass()` Return the value of the `selectedRowClass` property.
    `javax.faces.component.UIComponent` | `getSelectFacet()` Return the value of the `selectInputText` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `javax.faces.el.MethodBinding` | `getTextChangeListener()`
    `java.lang.String` | `getWidth()` Return the value of the `width` property.
    `void` | `restoreSeriesState(javax.faces.context.FacesContext facesContext, java.lang.Object state)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)` Perform any processing required to restore the state from the entries in the state Object.
    `java.lang.Object` | `saveSeriesState(javax.faces.context.FacesContext facesContext)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)` Gets the state of the instance as a `Serializable` Object.
    `void` | `setIndex(int index)` Set the value of the `index` property.
    `void` | `setListValue(java.util.List listValue)` Set the value of the `listValue` property.
    `void` | `setListVar(java.lang.String listVar)` Set the value of the `listVar` property.
    `void` | `setOptions(java.lang.String options)`
    `void` | `setRows(int rows)` Set the value of the `rows` property.
    `protected void` | `setSelectedIndex(int index)`
    `void` | `setSelectedItem(java.lang.String key)` Set the value of the `selectedItem` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setTextChangeListener(javax.faces.el.MethodBinding mb)`
    `void` | `setWidth(java.lang.String width)` Set the value of the `width` property.

    - ### Methods inherited from class com.icesoft.faces.component.ext.HtmlInputText

      `addActionListener, changeText, getAction, getActionListener, getActionListeners, getAutocomplete, getCurrentStyle, getEffect, getEnabledOnUserRole, getOnchangeeffect, getOnclickeffect, getOndblclickeffect, getOnkeydowneffect, getOnkeypresseffect, getOnkeyupeffect, getOnmousedowneffect, getOnmousemoveeffect, getOnmouseouteffect, getOnmouseovereffect, getOnmouseupeffect, getPartialSubmit, getRenderedOnUserRole, getStyleClassField, getText, getVisible, hasFocus, isActionKeyEvent, isDisabled, isImmediate, isRendered, queueEvent, removeActionListener, requestFocus, setAction, setActionKeyEvent, setActionListener, setAutocomplete, setCurrentStyle, setEffect, setEnabledOnUserRole, setFocus, setImmediate, setOnchangeeffect, setOnclickeffect, setOndblclickeffect, setOnkeydowneffect, setOnkeypresseffect, setOnkeyupeffect, setOnmousedowneffect, setOnmousemoveeffect, setOnmouseouteffect, setOnmouseovereffect, setOnmouseupeffect, setPartialSubmit, setRenderedOnUserRole, setValueBinding, setVisible`

    - ### Methods inherited from class javax.faces.component.html.HtmlInputText

      `getAccesskey, getAlt, getDefaultEventName, getDir, getEventNames, getLabel, getLang, getMaxlength, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getSize, getStyle, getTabindex, getTitle, isReadonly, setAccesskey, setAlt, setDir, setDisabled, setLabel, setLang, setMaxlength, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setSize, setStyle, setTabindex, setTitle`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, compareValues, getConvertedValue, getConverterMessage, getFamily, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, setConverterMessage, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SelectInputText

          public SelectInputText()

  - ### Method Detail

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext context)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `javax.faces.component.UIComponentBase`
      Throws:
        `java.io.IOException`

    - #### decode

          public void decode(javax.faces.context.FacesContext facesContext)

      Overrides:
        `decode` in class `HtmlInputText`

    - #### getItemList

          public java.util.Iterator getItemList()

      Return the value of the `itemList` property.

    - #### setIndex

          public void setIndex(int index)

      Set the value of the `index` property.

    - #### getClientId

          public java.lang.String getClientId(javax.faces.context.FacesContext context)

      Return the value of the `clientId` property.

      Overrides:
        `getClientId` in class `javax.faces.component.UIComponentBase`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `HtmlInputText`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### getSelectFacet

          public javax.faces.component.UIComponent getSelectFacet()

      Return the value of the `selectInputText` property.

    - #### setSelectedIndex

          protected void setSelectedIndex(int index)

    - #### setSelectedItem

          public void setSelectedItem(java.lang.String key)

      Set the value of the `selectedItem` property. If there are multiple matches between the key parameter, and the data model's SelectItem objects' itemLabel, it won't match any, unless one of the matching SelectItem objects equals the last selectedItem. Note that this component can only keep a reference to the last selectedItem if its value field is Serializable.

    - #### getSelectedItem

          public javax.faces.model.SelectItem getSelectedItem()

      Return the value of the `selectedItem` property.

    - #### setRows

          public void setRows(int rows)

      Set the value of the `rows` property.

    - #### getRows

          public int getRows()

      Return the value of the `rows` property.

    - #### setWidth

          public void setWidth(java.lang.String width)

      Set the value of the `width` property.

    - #### setListVar

          public void setListVar(java.lang.String listVar)

      Set the value of the `listVar` property.

    - #### getListVar

          public java.lang.String getListVar()

      Return the value of the `listVar` property.

    - #### setListValue

          public void setListValue(java.util.List listValue)

      Set the value of the `listValue` property.

    - #### getListValue

          public java.util.List getListValue()

      Return the value of the `listValue` property.

    - #### getWidth

          public java.lang.String getWidth()

      Return the value of the `width` property.

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Overrides:
        `setStyleClass` in class `HtmlInputText`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Overrides:
        `getStyleClass` in class `HtmlInputText`

    - #### getInputTextClass

          public java.lang.String getInputTextClass()

      Return the value of the `inputTextClass` property.

    - #### getListClass

          public java.lang.String getListClass()

      Return the value of the `listClass` property.

    - #### getRowClass

          public java.lang.String getRowClass()

      Return the value of the `rowClass` property.

    - #### getSelectedRowClass

          public java.lang.String getSelectedRowClass()

      Return the value of the `selectedRowClass` property.

    - #### getOptions

          public java.lang.String getOptions()

    - #### setOptions

          public void setOptions(java.lang.String options)

    - #### getTextChangeListener

          public javax.faces.el.MethodBinding getTextChangeListener()

    - #### setTextChangeListener

          public void setTextChangeListener(javax.faces.el.MethodBinding mb)

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Gets the state of the instance as a `Serializable` Object.

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `HtmlInputText`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Perform any processing required to restore the state from the entries in the state Object.

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `HtmlInputText`

    - #### getOnkeypress

          public java.lang.String getOnkeypress()

      Overrides:
        `getOnkeypress` in class `javax.faces.component.html.HtmlInputText`

    - #### saveSeriesState

          public java.lang.Object saveSeriesState(javax.faces.context.FacesContext facesContext)

      Specified by:
        `saveSeriesState` in interface `org.icefaces.impl.component.SeriesStateHolder`

    - #### restoreSeriesState

          public void restoreSeriesState(javax.faces.context.FacesContext facesContext,
                                         java.lang.Object state)

      Specified by:
        `restoreSeriesState` in interface `org.icefaces.impl.component.SeriesStateHolder`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.